66 lines
2.2 KiB
Diff
66 lines
2.2 KiB
Diff
|
--- avahi-daemon-check-dns.sh.debian 2012-03-04 05:24:07.000000000 +0100
|
||
|
+++ avahi-daemon-check-dns.sh 2012-05-23 20:06:27.121923772 +0200
|
||
|
@@ -5,15 +5,15 @@
|
||
|
|
||
|
PATH=/bin:/usr/bin:/sbin:/usr/sbin
|
||
|
|
||
|
-RUNDIR="/var/run/avahi-daemon/"
|
||
|
+RUNDIR="/var/run/avahi-daemon"
|
||
|
DISABLE_TAG="$RUNDIR/disabled-for-unicast-local"
|
||
|
NS_CACHE="$RUNDIR/checked_nameservers"
|
||
|
|
||
|
-AVAHI_DAEMON_DETECT_LOCAL=1
|
||
|
+AVAHI_DAEMON_DETECT_LOCAL=yes
|
||
|
|
||
|
-test -f /etc/default/avahi-daemon && . /etc/default/avahi-daemon
|
||
|
+test -f /etc/sysconfig/avahi-daemon && . /etc/sysconfig/avahi-daemon
|
||
|
|
||
|
-if [ "$AVAHI_DAEMON_DETECT_LOCAL" != "1" ]; then
|
||
|
+if [ "$AVAHI_DAEMON_DETECT_LOCAL" != "yes" ]; then
|
||
|
exit 0
|
||
|
fi
|
||
|
|
||
|
@@ -96,12 +96,8 @@
|
||
|
# no unicast .local conflict, so remove the tag and start avahi again
|
||
|
if [ -e ${DISABLE_TAG} ]; then
|
||
|
rm -f ${DISABLE_TAG}
|
||
|
- if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
|
||
|
- invoke-rc.d avahi-daemon start || true
|
||
|
- else
|
||
|
- if [ -x "/etc/init.d/avahi-daemon" ]; then
|
||
|
- /etc/init.d/avahi-daemon start || true
|
||
|
- fi
|
||
|
+ if [ -x "/etc/init.d/avahi-daemon" ]; then
|
||
|
+ /etc/init.d/avahi-daemon start || true
|
||
|
fi
|
||
|
fi
|
||
|
}
|
||
|
@@ -110,14 +106,8 @@
|
||
|
[ -e ${DISABLE_TAG} ] && return
|
||
|
|
||
|
if [ -x /etc/init.d/avahi-daemon ]; then
|
||
|
- if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
|
||
|
- invoke-rc.d --force avahi-daemon stop || true
|
||
|
- else
|
||
|
- if [ -x "/etc/init.d/avahi-daemon" ]; then
|
||
|
- /etc/init.d/avahi-daemon stop || true
|
||
|
- fi
|
||
|
- fi
|
||
|
- if [ -x /usr/bin/logger ]; then
|
||
|
+ /etc/init.d/avahi-daemon stop || true
|
||
|
+ if [ -x /bin/logger ]; then
|
||
|
logger -p daemon.warning -t avahi <<EOF
|
||
|
Avahi detected that your currently configured local DNS server serves
|
||
|
a domain .local. This is inherently incompatible with Avahi and thus
|
||
|
--- avahi-daemon.if-up.debian 2012-03-04 05:24:07.000000000 +0100
|
||
|
+++ avahi-daemon.if-up 2012-05-24 19:38:04.347420848 +0200
|
||
|
@@ -3,7 +3,7 @@
|
||
|
# Don't run the avahi-daemon unicast local check while bringing up
|
||
|
# the loopback device; it's not necessary until we bring up a real network
|
||
|
# device
|
||
|
-[ "$IFACE" != "lo" ] || exit 0
|
||
|
+[ "$2" != "lo" ] || exit 0
|
||
|
|
||
|
# If we have an unicast .local domain, we immediately disable avahi to avoid
|
||
|
# conflicts with the multicast IP4LL .local domain
|